---
title: A11y
---

> ### General recommendations
>
> - Make sure you have tabbing focus indicators for all elements that need to be highlighted.
> - Every `<img>` you add to your site needs to have an alt attribute. If the image is informational, set the alt equal to a descriptive alternative for that image.
> - If the image is decorative or redundant to adjacent text, set `alt=""`, which conveys to assistive technology users that the image isn’t necessary for understanding the page.
> - Avoid using generic strings like photo, image, or icon as `alt` values, as they don’t communicate valuable content to the user. Be as descriptive as possible.
> - You can add `class="visuallyhidden"` with descriptive text to give more context to a button or link's purpose.
>
> [A11y style guide](https://a11y-style-guide.com/style-guide/section-cards.html)

@## Resources

[A11y style guide](https://a11y-style-guide.com/style-guide/section-cards.html) gives core recommendations for the accessible card components.

@## Other recommendations

See more accessibility recommendations in the common [Accessibility guide](/core-principles/a11y/).
